
interface MinigameStatus {
  hasWin: boolean,
  level: number,
  mid: string
}

module LosPlantas {

  export class Player {

    nextMiniGame: string;

    PlantaPreviousValue: number;
    PlantaActualValue: number;

    actualMinigame: Minigame;

    playedMinigames: Array<MinigameStatus>;

    constructor(){
      this.playedMinigames = new Array<MinigameStatus>();
      this.PlantaActualValue = 5;
      this.PlantaPreviousValue = 0;
    }

    setMinigame(actualMinigame: Minigame){
      
    }

    endMinigame(){
      this.PlantaPreviousValue = this.PlantaActualValue;
      if (this.actualMinigame.hasWin){
        this.PlantaActualValue += this.actualMinigame.level || 1;
      }else{
        this.PlantaActualValue -= this.actualMinigame.level || 1;
      }

      this.playedMinigames.push({
        hasWin: this.actualMinigame.hasWin,
        level: this.actualMinigame.level,
        mid: this.actualMinigame.mid
      });
      this.actualMinigame = null;
    }

  }

}
