
module LosPlantas {

  const TRANSITION_STATE_START = 0;
  const TRANSITION_STATE_WAIT = 100;
  const TRANSITION_STATE_END = 200;

  const TRANSITION_FSM_RATE = 4;

  export class Intro extends Phaser.State {

    private localState : number;
    private localTimer : Phaser.TimerEvent;

    create(){
      // const video = this.game.add.video('introVideo');

      this.localState = TRANSITION_STATE_START;
      this.localTimer = this.game.time.events.loop(Phaser.Timer.SECOND * (1 / TRANSITION_FSM_RATE), this.doGameLogic, this);
      this.localTimer.timer.start();

      this.game.add.image(0, 0, 'back_intro');

      NPC_FATHER.insertInWorld(this.game, POS_KITCHEN.x, POS_KITCHEN.y + 20, 120, 120);
      NPC_FATHER.playAnimation('crazy');

      NPC_BROTHER.insertInWorld(this.game, POS_BATH_ROOM.x, POS_BATH_ROOM.y + 20, 120, 120);
      NPC_BROTHER.playAnimation('crazy');

      NPC_MOTHER.insertInWorld(this.game, POS_LIVING_ROOM.x, POS_LIVING_ROOM.y + 20, 120, 120);
      NPC_MOTHER.playAnimation('crazy');

      const plants = new Array<NPC>();

      for (var i = 0; i < 10; i++) {
        const plant = new NPC('plant');
        plant.addAnimation('goBad', [0, 1, 2], 6, false);
        plant.insertInWorld(this.game, POS_PLANTS.x - 160 + (i * 35), POS_PLANTS.y)
        plants.push(plant);
      }

      // showVibes(this.game, false, true, 10, 2);

      // showVibes(this.game, false, false, 1, 2, POS_KITCHEN.x, POS_KITCHEN.y, 0.12);
      // showVibes(this.game, false, false, 1, 2, POS_BATH_ROOM.x, POS_BATH_ROOM.y, 0.12);
      // showVibes(this.game, false, false, 1, 2, POS_LIVING_ROOM.x, POS_LIVING_ROOM.y, 0.12);
      // showVibes(this.game, false, false, 1, 2, POS_BED_ROOM.x, POS_BED_ROOM.y, 0.12);
      this.game.state.start('MinigameSelection');
      

      //this.game.state.start('MinigameSelection');
      /*
      video.play();

      // video.addToWorld();

      video.onComplete.add(() => {
        this.game.state.start('MinigameSelection');
      });
      */
    }

    doGameLogic() {
      switch(this.localState) {
        case TRANSITION_STATE_START:
          
          break;
        case TRANSITION_STATE_WAIT:
          
          break;
        case TRANSITION_STATE_END:

          break;
      }
    }
  }
}
