
module LosPlantas {

  export class EndState extends Phaser.State {

    create(){
      let img = null;
      if (STATUS_MATCH === 'win'){
        img = this.game.add.image(0, 0, 'you_win');
      }
      if (STATUS_MATCH === 'lose'){
        img = this.game.add.image(0, 0, 'you_lose');
      }

      img.inputEnabled = true;

      img.events.onInputDown.add(() => {

        player.actualMinigame = null;
        player.PlantaActualValue = 5;
        player.playedMinigames = [];
        
        this.game.state.start('Menu');

        //window.location.reload();
      }, this);
    }

  }

}
