
module LosPlantas {

  export class Minigame extends Phaser.State {

    mid: string;
    actualScore: number;
    hasEnded: boolean;
    hasWin: boolean;
    level: number;

    targetScore: number;

    constructor(mid: string, level: number){
      super();
      this.mid = mid;
      this.actualScore = 0;
      this.hasEnded = false;
      this.hasWin = false;
      this.setTargetScore();
    }

    init(){
      player.actualMinigame = this;
    }

    endMiniGame(){
      this.hasEnded = true;
      this.hasWin = this.actualScore >= this.targetScore;
      
      player.endMinigame();
      this.game.state.start('MinigameSelection');
      
    }

    setTargetScore(){
      this.targetScore = 10;
    }

  }

}
